Bug 69133 - inconsistent PEERDNS default value between redhat-config-network and initscripts
Summary: inconsistent PEERDNS default value between redhat-config-network and initscripts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-18 03:51 UTC by Need Real Name
Modified: 2007-04-18 16:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 09:43:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-07-18 03:51:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461; Hotbar 3.0)

Description of problem:
In redhat-config-network-1.0.0-1, PEERDNS will not set when it disable AutoDNS 
on DHCP.
However, No setting of PEERDNS in initscripts-6.67-1, it will do AutoDNS - 
change the /etc/resolv.conf file.
It seems cause by #62127 fix.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Make sure /etc/sysconfig/network-script/ifcfg-eth0 does not include PEERDNS 
setting.
2.Run Network Configuration to enable AutoDNS. You will see PEERDNS='yes' in 
ifcfg-eth0.
3.Run Network Configuration to disable AutoDNS. You will see nothing about 
PEERDNS in ifcfg-eth0.
	

Actual Results:  1. Run Network Configuration to disable AutoDNS. You will see 
PEERDNS='no' in ifcfg-eth0.
2. Run Network Configuration to enable AutoDNS. You will see PEERDNS='yes' or 
nothing in ifcfg-eth0.

Expected Results:  1. Run Network Configuration to disable AutoDNS. You will 
see PEERDNS='no' in ifcfg-eth0.
2. Run Network Configuration to enable AutoDNS. You will see PEERDNS='yes' or 
nothing in ifcfg-eth0.

Additional info:

Mark line #292,294,295 in NCDevice.py to disable #62127 fix will work fine.

Comment 1 Harald Hoyer 2002-07-18 14:09:55 UTC
thx, already fixed in CVS

Comment 2 Pavel 2002-08-05 11:38:04 UTC
behaves the same on redhat-config-network-1.1.14

Comment 3 Harald Hoyer 2002-08-13 13:33:00 UTC
1.1.15 should be ok newest initscripts..

Comment 4 Harald Hoyer 2003-01-13 15:19:05 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 5 Harald Hoyer 2004-06-04 09:43:19 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.